> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Amend multiple orders

POST https://www.okx.com/api/v5/trade/amend-batch-orders
Content-Type: application/json

Amend incomplete orders in batches. Maximum 20 orders can be amended per request. Request parameters should be passed in the form of an array.

Reference: https://okx-demo.ferndocs.com/api/api-reference/trade/amend-batch-orders

## Authentication

- `OK-ACCESS-KEY` header (required) — Your API key.
- `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string.
- `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.
- `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key.

## Request

### Body (application/json)

This endpoint expects an object.

- `instId` (string, required) — Instrument ID
- `cxlOnFail` (boolean, optional) — Whether the order needs to be automatically canceled when the order amendment fails Valid options: `false` or `true`, the default is `false`. Amendment failure scenarios include: `newSz` not a multiple of `lotSz`, position or risk limit breach, etc. When `false` (default): the original order continues unchanged after a failed amendment. When `true`: the original order is auto-cancelled on any amendment failure.
- `ordId` (string, optional) — Order ID Either `ordId` or `clOrdId`is required, if both are passed, `ordId` will be used.
- `clOrdId` (string, optional) — Client Order ID as assigned by the client
- `reqId` (string, optional) — Client Request ID as assigned by the client for order amendment A combination of case-sensitive alphanumerics, all numbers, or all letters of up to 32 characters. The response will include the corresponding `reqId` to help you identify the request if you provide it in the request.
- `newSz` (string, optional) — New **total** target quantity after amendment, must be > 0. This is the desired total order size, not the remaining unfilled portion. For a partially-filled order: if 3 contracts are already filled and you want a total of 8, pass `newSz=8` (not 5). The system will attempt to fill the remaining 5. At least one of `newSz` or `newPx` (or `newPxUsd`/`newPxVol` for options) must be provided.
- `newPx` (string, optional) — New price after amendment. When modifying options orders, users can only fill in one of the following: newPx, newPxUsd, or newPxVol. It must be consistent with parameters when placing orders. For example, if users placed the order using px, they should use newPx when modifying the order. At least one of `newSz` or `newPx` must be provided.

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of ApiV5TradeAmendBatchOrdersPostResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV5TradeAmendBatchOrdersPostResponsesContentApplicationJsonSchemaDataItems

- `ordId` (string, optional) — Order ID.
- `clOrdId` (string, optional) — Client-supplied order ID.
- `reqId` (string, optional) — Client-supplied request ID.
- `sCode` (string, optional) — Per-order result code. 0 means success.
- `sMsg` (string, optional) — Per-order rejection or success message.

## Examples

**Request**

```json
{
  "instId": "BTC-USDT"
}
```

**Response**

```json
{
  "code": "0",
  "msg": "",
  "data": [
    {
      "ordId": "12345689",
      "clOrdId": "oktswap6",
      "reqId": "b12344",
      "sCode": "0",
      "sMsg": "",
      "subCode": "",
      "ts": "1695190491421"
    },
    {
      "ordId": "12344",
      "clOrdId": "oktswap7",
      "reqId": "b12344",
      "sCode": "0",
      "sMsg": "",
      "subCode": "",
      "ts": "1695190491421"
    }
  ],
  "inTime": "1695190491421339",
  "outTime": "1695190491423240"
}
```

**SDK Code**

```python trade_amendBatchOrders_example
import requests

url = "https://www.okx.com/api/v5/trade/amend-batch-orders"

payload = { "instId": "BTC-USDT" }
headers = {
    "OK-ACCESS-KEY": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript trade_amendBatchOrders_example
const url = 'https://www.okx.com/api/v5/trade/amend-batch-orders';
const options = {
  method: 'POST',
  headers: {'OK-ACCESS-KEY': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"instId":"BTC-USDT"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go trade_amendBatchOrders_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/trade/amend-batch-orders"

	payload := strings.NewReader("{\n  \"instId\": \"BTC-USDT\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("OK-ACCESS-KEY", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby trade_amendBatchOrders_example
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/trade/amend-batch-orders")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["OK-ACCESS-KEY"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"instId\": \"BTC-USDT\"\n}"

response = http.request(request)
puts response.read_body
```

```java trade_amendBatchOrders_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://www.okx.com/api/v5/trade/amend-batch-orders")
  .header("OK-ACCESS-KEY", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"instId\": \"BTC-USDT\"\n}")
  .asString();
```

```php trade_amendBatchOrders_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://www.okx.com/api/v5/trade/amend-batch-orders', [
  'body' => '{
  "instId": "BTC-USDT"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'OK-ACCESS-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp trade_amendBatchOrders_example
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/trade/amend-batch-orders");
var request = new RestRequest(Method.POST);
request.AddHeader("OK-ACCESS-KEY", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"instId\": \"BTC-USDT\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift trade_amendBatchOrders_example
import Foundation

let headers = [
  "OK-ACCESS-KEY": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["instId": "BTC-USDT"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/trade/amend-batch-orders")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```